Doomsday Engine - Feature #1414

Generate particles when touching a plane
2006-08-03 20:01 - papercut2

Status: New Start date: 2006-08-03

Priority: Normal % Done: 0%

Assignee:

Category: Enhancement

Target version: Rendering

Description

It would be pretty neat if the water could splash in

doom like it does in Heretic and Hexen.

Labels: Graphics

Related issues:

Related to Feature #1618: Decorations/effects for game events (power up, dama... New 2013-10-21
Related to Feature #1699: Particle renderer 2.0 New 2014-01-03

History

#1 - 2006-08-20 05:06 - skyjake

(originally posted by anonymous SF.net user)

This is in my wishlist as well. Maybe you could port some code from Risen3D or something.

#2 - 2013-10-22 07:40 - skyjake
- Tags set to Particles
- Subject changed from Water splashing to Generate particles when touching a plane

- Category set to Enhancement

Given that Heretic/Hexen's mechanism for splashes is game-side and involves mobjs and sprites not present in Doom, this shouldn't be built into

libdoom as such. However, particle generators started when touching a plane would be quite useful.

There should be a flag for controlling whether the generator is started only when the contact is begun, or should it be running continuously while the

contact is in effect, or when contact ends.

#3 - 2013-10-22 22:05 - danij

We need to carefully consider the logically separation between mobj and particle generator. Particles which affect the playsim are troublesome.

| believe a cleaner approach would be mechanism similar to the existing "damage generator" -- i.e., spawn a generator when a mobj contacts a world

surface.

#4 - 2019-11-29 19:19 - skyjake

- Target version set to Rendering

#5 - 2019-11-29 19:19 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added
